Configurações da loja
Base: https://api.nivesistemas.com.br · 2 endpoints
GET /store-settings
Seção intitulada “GET /store-settings”Obter dados da loja
curl -X GET "https://api.nivesistemas.com.br/store-settings" \ -H "Authorization: Bearer sl_live_exemplo_abc123xyz789" \ -H "X-Store-Slug: loja-demo"const res = await fetch("https://api.nivesistemas.com.br/store-settings", { method: "GET", headers: { Authorization: "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },});const data = await res.json();import requests
res = requests.request( "GET", "https://api.nivesistemas.com.br/store-settings", headers={ "Authorization": "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", },)print(res.json())PUT /store-settings
Seção intitulada “PUT /store-settings”Atualizar dados da loja
Corpo (JSON)
| Campo | Tipo | Obrigatório | Descrição |
|---|---|---|---|
tradeName |
string | não | Nome fantasia |
legalName |
string | não | Razão social |
cnpj |
string | não | CNPJ |
phone |
string | não | Telefone |
email |
string | não | |
addressLine1 |
string | não | Endereço |
city |
string | não | Cidade |
state |
string | não | UF |
zipCode |
string | não | CEP |
customerNameFormat |
string | não | NONE | TITLE | UPPER — formatação do nome do cliente ao salvar |
productNameFormat |
string | não | NONE | TITLE | UPPER — formatação da descrição do produto ao salvar |
businessSegment |
string | não | GENERAL | BAKERY | CLOTHING | SPORTING_GOODS | AUTO_PARTS | FOOTWEAR | OPTICS | CLEANING_SUPPLIES | STATIONERY | PET_SHOP | GIFTS_DECOR | VARIETY_STORE | BUILDING_MATERIALS | FLORIST | CURTAINS | ELECTRONICS | PHONE_ACCESSORIES | COMPUTER_STORE | BAR | SERVICES | AESTHETIC_CLINIC | MECHANIC_WORKSHOP | PAINT_MANUFACTURER | MANUFACTURER — ramo do negócio, usado para pré-selecionar os módulos do menu |
curl -X PUT "https://api.nivesistemas.com.br/store-settings" \ -H "Authorization: Bearer sl_live_exemplo_abc123xyz789" \ -H "X-Store-Slug: loja-demo" \ -H "Content-Type: application/json" \ -d '{"tradeName":"","legalName":"","cnpj":"","phone":"","email":"","addressLine1":"","city":"","state":"","zipCode":"","customerNameFormat":"","productNameFormat":"","businessSegment":""}'const res = await fetch("https://api.nivesistemas.com.br/store-settings", { method: "PUT", headers: { Authorization: "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", "Content-Type": "application/json", }, body: JSON.stringify({ "tradeName": "", "legalName": "", "cnpj": "", "phone": "", "email": "", "addressLine1": "", "city": "", "state": "", "zipCode": "", "customerNameFormat": "", "productNameFormat": "", "businessSegment": "" }),});const data = await res.json();import requests
res = requests.request( "PUT", "https://api.nivesistemas.com.br/store-settings", headers={ "Authorization": "Bearer sl_live_exemplo_abc123xyz789", "X-Store-Slug": "loja-demo", }, json={ "tradeName": "", "legalName": "", "cnpj": "", "phone": "", "email": "", "addressLine1": "", "city": "", "state": "", "zipCode": "", "customerNameFormat": "", "productNameFormat": "", "businessSegment": "" },)print(res.json())
